 package com.huatek.busi.service.threshold;

 import com.huatek.busi.dto.CwzzThresholdDto;
 import com.huatek.busi.dto.Sf6EnvThresholdDto;
 import com.huatek.busi.vo.CwzzThresholdVo;
 import com.huatek.busi.vo.Sf6EnvThresholdVo;

 import java.util.List;

 /**
   * 测温阈值
   */
  public interface Sf6EnvThresholdService {

     Sf6EnvThresholdVo querySf6EnvThreshold(String sensorCode, String workStatus);

      List<Sf6EnvThresholdVo> querySf6EnvThresholdBySensorCode(String sensorCode);

      int insertOrUpdate(String token, Sf6EnvThresholdDto[] sf6EnvThresholdDto);

      int addSensorInsertSf6Env(String token,String sensorCode,String type);

      int  deleteSensorInsertSf6Env(String sensorCode);

      int  updateSensorInsertSf6Env(String oldSensorCode,String newSensorCode);

 }
